JmolAdapterStructureIterator
Date: 2019-10-22

org.jmol.api

## Class JmolAdapterStructureIterator

- java.lang.Object
- - org.jmol.api.JmolAdapterStructureIterator

- Direct Known Subclasses:
    StructureIterator

      public abstract class JmolAdapterStructureIterator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmolAdapterStructureIterator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int[]` | `getAtomIndices()`
    `abstract javajs.util.BS[]` | `getBSAll()`
    `abstract int` | `getEndChainID()`
    `abstract char` | `getEndInsertionCode()`
    `abstract int` | `getEndSequenceNumber()`
    `abstract int[]` | `getModelIndices()`
    `abstract int` | `getSerialID()`
    `abstract int` | `getStartChainID()`
    `abstract char` | `getStartInsertionCode()`
    `abstract int` | `getStartSequenceNumber()`
    `abstract int` | `getStrandCount()`
    `abstract javajs.util.BS` | `getStructuredModels()`
    `abstract java.lang.String` | `getStructureID()`
    `abstract STR` | `getStructureType()`
    `abstract STR` | `getSubstructureType()`
    `abstract boolean` | `hasNext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmolAdapterStructureIterator

          public JmolAdapterStructureIterator()

  - ### Method Detail

    - #### hasNext

          public abstract boolean hasNext()

    - #### getStructureType

          public abstract STR getStructureType()

    - #### getSubstructureType

          public abstract STR getSubstructureType()

    - #### getStructureID

          public abstract java.lang.String getStructureID()

    - #### getSerialID

          public abstract int getSerialID()

    - #### getStrandCount

          public abstract int getStrandCount()

    - #### getStartChainID

          public abstract int getStartChainID()

    - #### getStartSequenceNumber

          public abstract int getStartSequenceNumber()

    - #### getStartInsertionCode

          public abstract char getStartInsertionCode()

    - #### getEndChainID

          public abstract int getEndChainID()

    - #### getEndSequenceNumber

          public abstract int getEndSequenceNumber()

    - #### getEndInsertionCode

          public abstract char getEndInsertionCode()

    - #### getStructuredModels

          public abstract javajs.util.BS getStructuredModels()

    - #### getAtomIndices

          public abstract int[] getAtomIndices()

    - #### getModelIndices

          public abstract int[] getModelIndices()

    - #### getBSAll

          public abstract javajs.util.BS[] getBSAll()